TCPClient (Apache JMeter dist API)
Description: declaration: package: org.apache.jmeter.protocol.tcp.sampler, interface: TCPClient

Package org.apache.jmeter.protocol.tcp.sampler

# Interface TCPClient

All Known Implementing Classes:
  `AbstractTCPClient`, `BinaryTCPClientImpl`, `LengthPrefixedBinaryTCPClientImpl`, `TCPClientDecorator`, `TCPClientImpl`

public interface TCPClient
Interface required by TCPSampler for TCPClient implementations.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCharset()`
  Get the charset.
  `byte`
  `getEolByte()`
  Get the end-of-line/end-of-message byte.
  `String`
  `read(InputStream is)`
  Deprecated.
  since 3.3, implement `read(InputStream, SampleResult)` instead, will be removed in future version
  `String`
  `read(InputStream is, SampleResult sampleResult)`
  `void`
  `setEolByte(int eolInt)`
  Set the end-of-line/end-of-message byte.
  `void`
  `setupTest()`
  Invoked when the thread starts.
  `void`
  `teardownTest()`
  Invoked when the thread ends
  `void`
  `write(OutputStream os, InputStream is)`
  `void`
  `write(OutputStream os, String s)`

- ## Method Details

  - ### setupTest

    void setupTest()
    Invoked when the thread starts.

  - ### teardownTest

    void teardownTest()
    Invoked when the thread ends

  - ### write

    void write(OutputStream os, InputStream is) throws IOException
    Parameters:
      `os` - - OutputStream for socket
      `is` - - InputStream to be written to Socket
    Throws:
      `IOException` - when writing fails

  - ### write

    void write(OutputStream os, String s) throws IOException
    Parameters:
      `os` - - OutputStream for socket
      `s` - - String to write
    Throws:
      `IOException` - when writing fails

  - ### read

    @Deprecated String read(InputStream is) throws ReadException
    Deprecated.
    since 3.3, implement `read(InputStream, SampleResult)` instead, will be removed in future version
    Parameters:
      `is` - - InputStream for socket
    Returns:
      String read from socket
    Throws:
      `ReadException` - exception that can contain partial response (Response until error occurred)

  - ### read

    String read(InputStream is, SampleResult sampleResult) throws ReadException
    Parameters:
      `is` - - InputStream for socket
      `sampleResult` - `SampleResult`
    Returns:
      String read from socket
    Throws:
      `ReadException` - exception that can contain partial response

  - ### getEolByte

    byte getEolByte()
    Get the end-of-line/end-of-message byte.
    Returns:
      Returns the eolByte.

  - ### getCharset

    String getCharset()
    Get the charset.
    Returns:
      Returns the charset.

  - ### setEolByte

    void setEolByte(int eolInt)
    Set the end-of-line/end-of-message byte. If the value is out of range of a byte, then it is to be ignored.
    Parameters:
      `eolInt` - The value to set